
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android SDK 百度地图通过poi城市内检索简介接口的使用_Android / iVAN</title>

    <meta name="description" content="Android SDK 百度地图通过poi城市内检索简介接口的使用_Android 百度地图 SDK 不仅为广大开发者提供了炫酷的地图展示效果.丰富的覆盖物图层,更为广大开发者提供了多种 LBS 检索的能力.通过这些接口,开发者可以轻松的访问百度的 LBS 数据,丰富自己的移动端地图应用. 目前百度地图 SDK 为开发者提供的检索服务有: POI 检索:可以检索百度 POI 数据信息: 线路规划:利用百度的引擎帮助开发者规划线路: 在线建议检索.短链接分享.地理编码等等.... 本文将以一个很简单的 POI 城市内检索为例,像广大开发者介绍接口的使用. 第一步,选择并下载 SD">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android SDK 百度地图通过poi城市内检索简介接口的使用_Android</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>百度地图 SDK 不仅为广大开发者提供了炫酷的地图展示效果、丰富的覆盖物图层，更为广大开发者提供了多种 LBS 检索的能力。通过这些接口，开发者可以轻松的访问百度的 LBS 数据，丰富自己的移动端地图应用。</p>
<p>目前百度地图 SDK 为开发者提供的检索服务有：</p>
<p>POI 检索：可以检索百度 POI 数据信息；</p>
<p>线路规划：利用百度的引擎帮助开发者规划线路；</p>
<p>在线建议检索、短链接分享、地理编码等等....</p>
<p>本文将以一个很简单的 POI 城市内检索为例，像广大开发者介绍接口的使用。</p>
<p><strong>第一步，选择并下载 SDK；<br /></strong></p>
<p>这个例子我们只使用检索功能，因此我们到百度 LBS 开放平台的 Android 的统一资源下载平台下载检索功能模块就可以了，具体地址如下：http://lbsyun.baidu.com/sdk/download</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIwNTEwNTgwNTcucG5n.jpg"></p>
<p><strong>第二步，创建 Android 工程，并将下载好的 SDK 导入工程中；</strong></p>
<p>导入完成后效果如下图所示：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIwNTEwNTgwNTgucG5n.jpg"></p>
<p><strong>第三步，设计应用程序的交互界面；</strong></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIwNTEwNTgwNTkucG5n.jpg"></p>
<p><strong>第四步，在 AndroidManifest 中添加所需权限和 SDK 开发所需要的 Key；</strong></p>
<pre>
&lt;uses-permission android:name="android.permission.GET_ACCOUNTS" /&gt;
&lt;uses-permission android:name="android.permission.USE_CREDENTIALS" /&gt;
&lt;uses-permission android:name="android.permission.MANAGE_ACCOUNTS" /&gt;
&lt;uses-permission android:name="android.permission.AUTHENTICATE_ACCOUNTS" /&gt;
&lt;uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" /&gt;
&lt;uses-permission android:name="android.permission.INTERNET" /&gt;
&lt;uses-permission android:name="com.android.launcher.permission.READ_SETTINGS" /&gt;
&lt;uses-permission android:name="android.permission.CHANGE_WIFI_STATE" /&gt;
&lt;uses-permission android:name="android.permission.ACCESS_WIFI_STATE" /&gt;
&lt;uses-permission android:name="android.permission.READ_PHONE_STATE" /&gt;
&lt;uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" /&gt;
&lt;uses-permission android:name="android.permission.BROADCAST_STICKY" /&gt;
&lt;uses-permission android:name="android.permission.WRITE_SETTINGS" /&gt;
&lt;uses-permission android:name="android.permission.READ_PHONE_STATE" /&gt;
&lt;meta-data
android:name="com.baidu.lbsapi.API_KEY"
android:value="GBm9SbM00C7Cd6vFi2evzSgK" /&gt; </pre>
<p>注意上面的 key 请开发者换成自己申请的 key，具体方法请参考之前的博客介绍。</p>
<p><strong>第五步，编程；</strong></p>
<p>分别定义三个变量，PoiSearch、PoiCitySearchOption、OnGetPoiSearchResultListener。从这三个名字大家也能看得出，这三个变量分别是检索对象、检索参数和检索结果的监听方法。</p>
<p>在执行 POI 检索之前，需要先初始化 PoiSearch 对象，方法如下：</p>
<p>poiSearch = PoiSearch.newInstance();</p>
<p>初始化完成之后，紧接着需要设置它的监听方法，注意 SDK 中所有的检索请求都是异步实现的，代码如下：</p>
<p>poiSearch.setOnGetPoiSearchResultListener(onGetPoiSearchResultListener);</p>
<p>准备工作完成后，我们在 Button 的点击响应中，添加真正的检索执行代码，如下所示：</p>
<pre>
button.setOnClickListener(new View.OnClickListener() {
@Override
public void onClick(View arg0) {
// TODO Auto-generated method stub
poiCitySearchOption = new PoiCitySearchOption()
.city(city.getText().toString())
.keyword(keyword.getText().toString());
poiSearch.searchInCity(poiCitySearchOption);
}
});</pre>
<p>补充一下监听方法的实现，如下所示：</p>
<pre>
OnGetPoiSearchResultListener onGetPoiSearchResultListener = new OnGetPoiSearchResultListener() {
@Override
public void onGetPoiResult(PoiResult poiResult) {
// TODO Auto-generated method stub
String poiname = poiResult.getAllPoi().get(0).name;
String poiadd = poiResult.getAllPoi().get(0).address;
String idString = poiResult.getAllPoi().get(0).uid;
textView.setText(
"第一条结果是：\n名称＝［"+
poiname+
"］\nID = ["+
idString
+ "] \n地址＝［"+
poiadd+
"］");
}
@Override
public void onGetPoiDetailResult(PoiDetailResult arg0) {
// TODO Auto-generated method stub
}
}; </pre>
<p>如上的监听方法是将结果中得第一条信息进行了展示，执行程序如下图效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE2MDIwNTEwNTgwNTEwLnBuZw==.jpg"></p>
<p>以上所述是小编给大家介绍的Android SDK 百度地图通过poi城市内检索简介接口的使用，希望对大家有所帮助。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索百度地图poi检索<br />
                                    poi检索<br />
                                    百度地图sdk poi检索、百度地图poi检索、百度地图poi检索列表、ios百度地图poi检索、poi检索，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:08:24</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%99%be%e5%ba%a6%e5%9c%b0%e5%9b%bepoi%e6%a3%80%e7%b4%a2/" title="百度地图poi检索">百度地图poi检索</a>, <a href="https://www.iamivan.net/tag/poi%e6%a3%80%e7%b4%a2/" title="poi检索">poi检索</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android SDK 百度地图通过poi城市内检索简介接口的使用_Android的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQjggKM.html" rel="bookmark">android调用百度地图  报如下的错</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android调用百度地图 报如下的错 java.lang.NoClassDefFoundError: com.baidu.mapapi.BMapManager 解决方案 这种问题一般都与Android的Context有关系,例如你在Service中调用了对话框,因为你贴的代码信息比较少,也看不出具体内容,大概是初始化BMapManager传的Comtext有问题 解决方案二: 文件找不到,看包有没有导全? 解决方案三: 有导入百度sdk jar包吗 解决方案四: 如果确定已经导入了s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1GgQb.html" rel="bookmark">android 利用百度地图定位 定到海里了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 利用百度地图定位 定到海里了 误差太大 到非洲的海里了 怎么回事呢 是缺少什么东西吗 解决方案 哈哈哈,非洲的海?北半球还是南半球?具体坐标是什么. 很有可能给你定位的是北纬0度,东经0度吧.那么就是你的gps坐标不对. 解决方案二: 百度地图坐标需要转换的 解决方案三: 你百度sdk的appkey没有填对吧,建议上一下百度sdk官网的看一下sdk的appkey生成和配置说明 解决方案四: 这种情况下,一般是key不对的原因.http://blog.csdn.net/c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M06qn7z.html" rel="bookmark">Android 调用百度地图API示例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android 调用百度地图API 一.到 百度地图开发平台下载SDK http://lbsyun.baidu.com/index.php?title=androidsdk/sdkandev-download 1.点击自定义下载 2.下载自己想要的功能包我这里选了三个 3.获取密钥 获取密钥之前我们要新建一个应用 填写好相关的信息 二. 新建一个项目工程 1. 把下载好的百度sdk中的jar包拷贝到项目的libs目录下 2.在application中添加开发密钥 3.添加所需的权限 &lt;uses-			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWvj4p.html" rel="bookmark">android开发百度地图定位遇到的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android开发百度地图定位遇到的问题 解决方案 你把红字复制粘贴上来,不要发截图			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/boRg26z.html" rel="bookmark">xamarin studio-mono for android  开发百度地图遇到的问题求解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 mono for android 开发百度地图遇到的问题求解 我准备用Xamarin Studio 做一个关于地图定位的demo但是下载的BaiduMap_AndroidSDK是一个jar文件,后面用java bingding Library生成了一个dll文件,然后引用..虽然可以在手机可以显示出地图,但是在做定位时,却发现该dll文件没有MyLocationOverlay等类定义.我就没有办法了 .有没有人遇到这类的问题.求解释.. 解决方案 https://git.oschina			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze6BJOb.html" rel="bookmark">asp&period;net-调用百度地图api实现区分内外环</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 调用百度地图api实现区分内外环 我想做一个更具输入地址,然后判断是在内环还是外环还是外环以外的一个调用百度地图的功能			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJqvR4p.html" rel="bookmark">android操作百度地图，绘制自己得图形加到地图中无法准确定位到某个经纬度</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android操作百度地图,绘制自己得图形加到地图中无法准确定位到某个经纬度,图形是一个长方形,下面有个点对应到某个经纬度,由于图形是按照左上方为起始点,所以需要计算做上方得经纬度,求大神指点 解决方案 解决方案二:百度地图中的经纬度和实际的经纬度之间有偏差,需要转换,你查查百度地图API中对应的方法解决方案三:已经搞定了,谢谢			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlQlvp.html" rel="bookmark">android 使用百度地图 缩放比例会自己变化，why？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 android 使用百度地图 缩放比例会自己变化,why? 当我在android程序上集成百度地图是,设置好了缩放比例,然后打开程序的时候,有时候它自己会改变缩放比例,变得很小(比如说我设置的是15,结果有时候可以看到整个中国的缩影),而且定位到当前位置,是从很远的地方移动过来的,指的是其他的洲,欧洲或者其他地方,这是为什么呢 解决方案 你初始化好地图之后就设置缩放比例啊! 参考:http://blog.csdn.net/column/details/android-jacksen-m			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M910aoM.html" rel="bookmark">Android中使用百度地图API：城市POI搜索-获取所有结果</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文主要讲解如何通过百度地图API搜索得到一个城市里的所有POI.这里有必要对&quot;所有&quot;这个词进行强 调一下,以便引起重视,之所以这样说,是因为在搜索POI时,默认仅返回一页的搜索结果10条,那么如何才 能得到所有的搜索结果呢?其实baidu map api是提供了相关的方法,但我发现有相当多的网友都在问这个问 题,所以有必要讲解演示一下. 先讲一下什么称之为&quot;城市POI搜索&quot;?它与我们在上一篇文章([011] 百 度地图API之POI搜索-发现你身边的兴趣点,如超市			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3xokM.html" rel="bookmark" class="title">Flex Quick Starts中文翻译（一）</a>
					<div>
						中文 前言 Adobe  Flex  2.0 是一项新兴的技术,它基于强大的已经很成熟的 J2EE 平台,具有一些很强大并 且迷人的特性,比如 Flash 的表现能力,丰富的媒体和离线能力等等.Fle ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqlaKb.html" rel="bookmark" class="title">百度算法更新 要告诉我们下一步如何走</a>
					<div>
						对于百度搜索引擎前段时间大幅度的调正算法,导致我们一些站长们的大度的K站,排名掉好几页.此次算法修改变度这也正是百度搜索引擎以后正要更注重于用户体验的方向下重手,打击非法网站和黑帽seo等等的网站,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3nYgz.html" rel="bookmark" class="title">高质量网站目录对SEO犹如鱼得水</a>
					<div>
						  网站目录提交曾是早期比较常用的网站推广方法,现在虽然有了搜索引擎的出现,不过,网站目录仍然是网站推广中一种比较好的推广方法,并且对网站SEO有深远的影响,如果能够把网站提交到高质量的网站目录,并且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NaEJz.html" rel="bookmark" class="title">为Struts 2&period;0做好准备</a>
					<div>
						Struts作为MVC 2的Web框架,自推出以来不断受到开发者的追捧,得到用广泛的应用.作为最成功的Web框架,Struts自然拥有众多的优点: MVC 2模型的使用 功能齐全的标志库(Tag Li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPQQGz.html" rel="bookmark" class="title">Win7系统如何恢复回收站被删除的文件？</a>
					<div>
						  Win7系统如何恢复回收站被删除的文件?          第一步. 下载安装EasyRecovery,弄清数据删除之前是存在哪的,回收站清空这里很显然是对硬盘进行恢复. 第二步. 选择系统盘C盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEAk4b.html" rel="bookmark" class="title">Asp&period;net图片上传实现预览效果的简单代码</a>
					<div>
						这篇文章介绍了Asp.net图片上传实现预览效果的简单代码,有需要的朋友可以参考一下   在页面上放入一个上传控件和一个图片控件. 复制代码 代码如下:  &lt;asp:FileUpload ID= ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bal95nz.html" rel="bookmark" class="title">PowerPoint如何制作闪烁星星图</a>
					<div>
						  1.点击进入&quot;插入&quot;菜单选项卡,在&quot;插图&quot;组中找到&quot;形状&quot;按钮,在幻灯片中添加一个&quot;星与旗帜&quot;/&quot;十字星& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNr38b.html" rel="bookmark" class="title">XP系统注册表空间不足怎么解决</a>
					<div>
						XP系统注册表空间不足怎么解决   1.减少开机启动项,在运行中输入msconfig 打开系统配置,然后在启动中取消不必要的开机启动项; 2.删除部分不使用的软件,并对系统进行垃圾清理; 3.调整增加 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxPJ7jM.html" rel="bookmark" class="title">js中判断用户输入的值是否为空的简单实例</a>
					<div>
						 本篇文章主要是对js中判断用户输入的值是否为空的简单实例进行了介绍,需要的朋友可以过来参考下,希望对大家有所帮助 在js中判断用户输入的值是否为空,这是大家用得非常多的. 这没有什么好写的. 而我却 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6e3LXb.html" rel="bookmark" class="title">一个门外汉的产品设计漫谈：设计无处不在</a>
					<div>
						本文纯属门外汉YY的结晶,如有低级问题,敬请行家里手批评指正;如果文中煞有介事得出的结论与设计学科的经典理论不谋而合,则不胜荣幸.本文目的是闲侃软件产品尤其是互联网产品的设计,多处以传统产品甚至不登大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGd0qb.html" rel="bookmark" class="title">靠谱助手使用小技巧</a>
					<div>
						应用位置调整 鼠标左键按住并拖动应用图标,可以调整应用所在的位置 删除应用 右键点击要删除的应用,即可卸载应用 更改模拟器语言 如果默认界面不是中文,可以点击界面上的&quot;设置&quot;,然后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EX7rM.html" rel="bookmark" class="title">win7不能正常关机该怎么办</a>
					<div>
						  Win7作为流行的操作系统,有很多的优势吸引着众多的用户,比如说相关的一些功能和设置.win7旗舰版64位系统下载后,在使用的时候有的用户遇到不能正常关机的现象,这时候不知道该怎么办.发现有时候不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24QBop.html" rel="bookmark" class="title">iOS开发缓存机制之&mdash;内存缓存机制</a>
					<div>
						在IOS应用程序开发中,为了减少与服务端的交互次数,加快用户的响应速度,一般都会在iOS设备中加一个缓存的机制. 这篇文章将介绍一下如何在iOS设备中进行缓存,本文先介绍一下将内容缓存到内存中,下一篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWoxnp.html" rel="bookmark" class="title">PHP的SQL注入实现&lpar;测试代码安全不错&rpar;&lowbar;php技巧</a>
					<div>
						SQL注入的重点就是构造SQL语句,只有灵活的运用SQL 语句才能构造出牛比的注入字符串.学完之后写了点笔记,已备随时使用.希望你在看下面内容时先了 解SQL的基本原理.笔记中的代码来自网络. === ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My32BZz.html" rel="bookmark" class="title">c&plus;&plus; 数据结构-字符串逆置问题，数据结构（C&plus;&plus;&rpar;</a>
					<div>
						问题描述 字符串逆置问题,数据结构(C++) #include#includeusing namespace std; typedef struct chunk{ char ch; struct ch ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kVn3M.html" rel="bookmark" class="title">java-求助！JPanel控件怎么才能设置成2维的样式，就是把左边上边那条线去掉？</a>
					<div>
						问题描述 求助!JPanel控件怎么才能设置成2维的样式,就是把左边上边那条线去掉? 求助!JPanel控件怎么才能设置成2维的样式,就是把左边上边那条线去掉?如图去掉白线?红色的是主窗口,黑色的是P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Nkjmz.html" rel="bookmark" class="title">oracle查询语句老是报ORA-00907缺失右括号</a>
					<div>
						问题描述 oracle查询语句老是报ORA-00907缺失右括号 --大家好,我有一条oracle查询语句老是报ORA-00907缺失右括号的错误,能不能帮我看一下,谢谢: --统计毕业班等级考试最佳 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5NDARz.html" rel="bookmark" class="title">Myeclipst6&period;5重命名java文件后，回车，java文件的名字没跟着更新</a>
					<div>
						问题描述 我用的是Myeclipst6.5,当我把java文件重命名后,回车,按理说java文件里的类名也会自动更新,可是java文件里的类名没跟着更新.各位大侠,如何解决?补充:比如我把AB.jav ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ5Xap.html" rel="bookmark" class="title">《MongoDB管理与开发精要》&mdash;&mdash;3&period;2节查询语法</a>
					<div>
						3.2 查询语法 MongoDB最大的特点是,它支持的查询语言非常强大,其语法类似于面向对象的查询语言,不但可以实现关系型数据库查询的大部分功能,而且还支持对数据建立索引.由于MongoDB可以支持非 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mydr7Jb.html" rel="bookmark" class="title">myeclipse-MyEclipse 频繁闪退  弹出框提示myEclipse异常处理程序遇到无法处理的内部错误</a>
					<div>
						问题描述 MyEclipse 频繁闪退 弹出框提示myEclipse异常处理程序遇到无法处理的内部错误 myeclipse 频繁闪退,弹出提示框如下: .meta文件中报错如下: !ENTRY org ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeRm60b.html" rel="bookmark" class="title">手把手教你编写-微信机器人</a>
					<div>
						一. 引言       我们都知道微信提供了多种登录的方式包括手机端.电脑端以及web端.       web端的登录我们用Python程序完全可以模拟出来~~如果你不知道那也没关系稍微了解下Pyth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnKBkKz.html" rel="bookmark" class="title">C&num;开发微信门户及应用&lpar;10&rpar;--在管理系统中同步微信用户分组信息</a>
					<div>
						原文:C#开发微信门户及应用(10)--在管理系统中同步微信用户分组信息 在前面几篇文章中,逐步从原有微信的API封装的基础上过渡到微信应用平台管理系统里面,逐步介绍管理系统中的微信数据的界面设计,以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKnejb.html" rel="bookmark" class="title">关于git和github的问题</a>
					<div>
						问题描述 关于git和github的问题 现有远程仓库,把它clone下来之后,在其develop分支上新建分支应该怎么做,以及应该怎么push develop分支到远程库.哎,本地库和远程库的连接到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKVedb.html" rel="bookmark" class="title">站长常用的在线实用工具及其特色</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 做网站经常要用到一些在线的小工具, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmB7kDz.html" rel="bookmark" class="title">有关jsp-在MyEclipse中写一个JSP页面出现的问题</a>
					<div>
						问题描述 在MyEclipse中写一个JSP页面出现的问题 at ytl.ServerThread.run(ServerThread.java:18) ==========ServerThread== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPkk7vM.html" rel="bookmark" class="title">正态分布（Normal distribution）又名高斯分布（Gaussian distribution）</a>
					<div>
						正态分布(Normal distribution)又名高斯分布(Gaussian distribution),是一个在数学.物理及工程等领域都非常重要的概率分布,在统计学的许多方面有着重大的影响力.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAkwrb.html" rel="bookmark" class="title">迪普科技以近50&percnt;份额全面中标国家电网2016信息化硬件采购</a>
					<div>
						近日,国家电网公司(以下简称:&quot;国家电网&quot;)2016年第二次信息化硬件设备采购项目结束,杭州迪普科技有限公司(以下简称:&quot;迪普科技&quot;)在众多厂商中突出重围,获得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJkLOp.html" rel="bookmark" class="title">关于AbstractTableModel连接数据库&lpar; 界面能显示，可数据库记录一条都不显示&rpar;</a>
					<div>
						问题描述 packageexamch1.mygui;importjava.awt.*;importjavax.swing.*;importjavax.swing.table.AbstractTable ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eQ7rb.html" rel="bookmark" class="title">用友优普是如何转型移动互联网企业应用的</a>
					<div>
						如今,互联网给各个行业所带来的影响已经开始显现,对于企业信息化而言,如何更好地利用新兴的移动互联网工具已经CIO们必须考虑的问题.企业原有的经营管理模式在移动互联网的影响下,其商业模式.运营模式.管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNk9ep.html" rel="bookmark" class="title">SQL Server数据库开发的二十一条法则&lowbar;MsSql</a>
					<div>
						在这里,我不打算介绍使用SQL Server的窍门,也不能提供一个包治百病的方案,我所做的是总结一些经验----关于如何形成一个好的设计.这些经验来自我过去几年中经受的教训,一直来,我看到许多同样的设 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
